<?php
session_start();
include '../koneksi.php';

// Proteksi agar hanya admin
if ($_SESSION['role'] != 'admin') { die("Akses ditolak!"); }

// Aksi Tambah Tahun
if (isset($_POST['simpan'])) {
    $tahun = mysqli_real_escape_string($koneksi, $_POST['tahun']);
    mysqli_query($koneksi, "INSERT INTO tahun_pelajaran (tahun_pelajaran) VALUES ('$tahun')");
    header("Location: tp.php?pesan=sukses");
}

// Aksi Aktifkan (Menimpa pengaturan lama)
elseif (isset($_GET['tp']) && isset($_GET['sem'])) {
    $id_tp = $_GET['tp'];
    $id_sem = $_GET['sem'];

    // Update baris ke-1 di tabel pengaturan_aktif
    mysqli_query($koneksi, "UPDATE pengaturan_aktif SET id_tp='$id_tp', id_semester='$id_sem' WHERE id_aktif=1");
    header("Location: tp.php?pesan=berhasil");
}

// Aksi Hapus
elseif (isset($_GET['hapus'])) {
    mysqli_query($koneksi, "DELETE FROM tahun_pelajaran WHERE id_tp='".$_GET['hapus']."'");
    header("Location: tp.php?pesan=terhapus");
}
?>